#define SWAP_ENDIAN_32BIT 0x1
#define SWAP_ENDIAN_16BIT 0x2

int FilterHexChar(int lvalue);
int isHex(char* text);
int isDec(char* text);
int isFloat(char* text);
u64 Float2Hex(float floatval);
u64 Double2Hex(double dblval);
int str_lcase(char *str);
int str_ucase(char *str);
int StringCompareCI(char* string1, char* string2);
int SetBitFlag(u8 *flags, int num, int val);
int GetBitFlag(u8 *flags, int num);
int BitCount(u64 countval);
u64 SignExtend64(u64 signval, int sbytes);
u64 ByteFromU64(u64 dword, int valpart);
u64 ShortFromU64(u64 dword, int valpart);
u64 WordFromU64(u64 dword, int valpart);
int Hex2ASCII(u64 value, int bytes, char *string);
int isIPAddr(char *text);
u64 SwapBytes64(u64 value, int size);
u32 SwapBytes32(u32 value, int swaptype);
int SwapBytesArray(u8 *arrbytes, u32 arrsize, int swaptype);
